post
https://apis.druva.com/platform/console/v1/admins
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
CautionIf you try to create a
Productadministrator using the Try It! button, you may run into issues because of a bug in the developer portal. The developer portal is unable to generate a valid payload at the moment with theitemListfield set as an empty array[]. That's the reason why the Try It feature fails to create an admin.We are working with the provider of the developer portal to fix this issue.
For now, you can use the following cURL request that provides a sample payload. It includes the
itemListfield set to an empty array ([]). You can write a script that sends a valid payload to the platform, and it will create your admin.curl --location 'https://apis.druva.com/platform/console/v1/admins' \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' \ --data-raw ' { "role": "Product", "productAccessControls": { "products": [ { "productID": 8193, "productRole": "Profile Admin", "accessControls": [ { "collectionName": "Default", "collectionID": 795, "resource": "Profiles", "itemList": [] }, { "collectionName": "Endpoints", "collectionID": 1, "resource": "Workloads", "itemList": [] } ] } ] }, "druvaDomainLegalConsent": true, "adminEmail": "[email protected]", "adminName": "ins_product11", "timezone": "UTC" } '
400Bad Request
404The requested resource was not found.
